<?php
/**
 * @version   	1.4
 * @package     Joomla
 * @subpackage  System
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.
 * @license     GNU GPL v2.0
 */
 
defined('_JEXEC') or die;

class plgButtonCustomText extends JPlugin
{
    public function onDisplay($name)
    {
		$txt = $this->params->get('custom_text', '[set your custom text in plugin parameters]');
		$label = $this->params->get('label', 'Custom Text');
		$jsCode = "
                function insertCustText(editor) {


			tinyMCE.activeEditor.windowManager.open({
				title: 'Inserir Alteração/Revogação',
				body: [
					{type: 'label', text: ''},
					{type: 'label', text: ''},
					{type: 'selectbox', name: 'tipo', id:'ttipo', label: 'Tipo', options: ['Alteração', 'Revogação']},
					{type: 'textbox', name: 'n_ano', id:'tn_ano', label: 'Número/Ano'},
					{type: 'textbox', name: 'autenticidade', id:'tautenticidade', label: 'Cód. Autenticidade'},
					{type: 'label', text: ''},
					{type: 'label', text: ''},
					{type: 'container', name: 'container', label  : 'Obs.:', html: '<h1>Em \"Adicionais\" marcar o tipo de Modificação!</h1>' },
					{type: 'label', text: ''},
					{type: 'label', text: ''},
				],
				onsubmit: function(e) {
					// Insert content when the window form is submitted

					var x = document.getElementById('ttipo');
					
					if (x.options[x.selectedIndex].value == 'Alteração'){
						tinyMCE.activeEditor.insertContent('[[' + e.data.n_ano + ';' + e.data.autenticidade + ']]');
					}
					else {
						tinyMCE.activeEditor.insertContent('{{' + e.data.n_ano + ';' + e.data.autenticidade + '}}');
					}

				}
			});




                }
				";
				
		$doc = JFactory::getDocument();
		$doc->addScriptDeclaration($jsCode);
		
        $button = new JObject();				
		$button->modal = false;
		$button->class = 'btn';
        $button->text = $label;
        $button->name = 'arrow-right';
		$button->onclick = 'insertCustText(\''.$name.'\');return false;';				$button->link = '#';
        return $button;
    }
}
?>